@extends('home.layout.layout')

@section('content')
<section class="single-page bg-custom text-white" style="margin-top:95px!important; padding-top:50px!important;">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <h3 style="text-align: start;">Privacy policy</h3>
                <p><strong></strong></p>
                <h3 style="text-align: start;"><strong>Last updated: June 3, 2023</strong></h3>
                <p></p>
                <div style="text-align: start;b">
                    <p style="">Hereby is described the practice of collecting and processing of personal data provided by persons (you) accessing a website <a href="https://botcx.xyz/" target="_blank" style="color: rgb(0, 148, 255);">botcx.xyz</a> (the <b>Site</b>) or the App of the company Botcx Bot (the <b>Company</b> or we).</p>
                    <p style="">We inform you that the provisions of this Privacy Policy are subject to the up-to-date edition of the Regulation (EU) 2016/679 of the European Parliament and of the Council of 27 April 2016 on the protection of natural persons with regard to the processing of personal data and on the free movement of such data (hereinafter <b>GDPR</b>), available at <a href="https://eur-lex.europa.eu/eli/reg/2016/679/oj" target="_blank" style="color: rgb(0, 148, 255);">https://eur-lex.europa.eu/eli/reg/2016/679/oj</a></p>
                </div>
                <h3 style="text-align: start;">1. Introduction</h3>
                <div style="text-align: start;b">
                    <p style=""><b>1.1</b> We understand the importance of protection of your privacy and personal data and commit a lot of effort to develop and maintain high standards of internal security measures and technologies to provide you with secure processing and storage of the data we collect from you; and protect your data against unauthorized or unlawful processing and against accidental loss, destruction or damage.</p>
                    <p style=""><b>1.2</b> This Privacy Policy is an integral part of our Terms and Conditions (the <b>Terms</b>). As a general rule, all definitions are used within the meaning established by the Terms, unless otherwise specified herein.</p>
                </div>
                <h3 style="text-align: start;">2. Consent</h3>
                <div style="text-align: start;b">
                    <p style=""><b>2.1</b> By using the Site, the App, and/or accepting our <a target="_blank" href="https://botcx.xyz/terms" style="color: rgb(0, 148, 255);">Terms</a> and <a target="_blank" href="https://botcx.xyz/privacy" style="color: rgb(0, 148, 255);">Service Agreement</a> (the <b>Agreement</b>), you consent to the collection, processing and receipt of your personal data, as described in this Privacy Policy.</p>
                </div>
                <h3 style="text-align: start;">3. Personal data we collect and objective</h3>
                <div style="text-align: start;b">
                    <p style=""><b>3.1</b> We do not collect any data that may identify you without your permission. We follow the principle of data minimization, meaning that we only collect and use data that is required to accomplish the task relevant for provision of the Services.</p>
                    <p style=""><b>3.2</b> The Company does not require you to register in order to use the Services. However, when you access the Site or the App, we may collect and further process the following categories of data:</p>
                    <div>
                        <p style=""><b>3.2.1</b> your email address and ID of the account at the Botcx Trade platform. These are the only parameters that we send directly to our server;</p>
                        <p style=""><b>3.2.2</b> data, which we may collect through automated means. Through your use of the Site, we may also monitor and collect tracking information related to usages such as access date and time, device identification, operating system, browser type and IP address. This information may be obtained directly by the Company or through third-party services;</p>
                        <p style=""><b>3.2.3</b> data provided by you when referring your queries to the Company.</p>
                    </div>
                    <p style=""><b>3.3</b> Pay attention that we use Google Analytics on our Site for analysis and improvement of the website performance. If you want to know more about Google Analytics service and its &ldquo;do not track&rdquo; policy, please visit <a href="https://www.google.com/analytics/terms/us.html" target="_blank" style="color: rgb(0, 148, 255);">https://www.google.com/analytics/terms/us.html</a></p>
                    <p style=""><b>3.4</b> We neither solicit, nor collect personal data from anyone under the age of 18 or under the legal age of your country if it is higher. If you are below 18 or you are not of legal age in your country, do not provide us with any personal data.</p>
                    <p style=""><b>3.5</b> The term we keep the personal data you provide depends on the type of information, the purpose of its use, nature of sensitiveness, etc. To the general rule, we will retain your personal data for the length of time reasonably needed to fulfill the purposes outlined in this Privacy Policy, unless a longer retention period is required or permitted by law. We will also retain and use your information for as long as necessary to resolve disputes and/or enforce our rights and agreements.</p>
                    <p style=""><b>3.6</b> We collect and process the aforementioned data to fulfill our obligations and realize legitimate interest before you, namely to:</p>
                    <div>
                        <p style=""><b>3.6.1</b> provide access to the Site;</p>
                        <p style=""><b>3.6.2</b> inform on any changes and updates to the services we provide;</p>
                        <p style=""><b>3.6.3</b> comply with applicable legislation;</p>
                        <p style=""><b>3.6.4</b> maintain actions in relation to legal claims;</p>
                        <p style=""><b>3.6.5</b> provide additional or supportive services, as well as perform surveys, statistical analysis;</p>
                        <p style=""><b>3.6.6</b> to ensure marketing activities (send you news, updates, promotions, product information, event announcements, and other).</p>
                        <p style=""><b>3.6.7</b> improve the performance and functionality of our services as described in the Terms (the <b>Services</b>).</p>
                    </div>
                    <p style=""><b>3.7</b> The above list may be extended depending on the development of the Services.</p>
                </div>
                <h3 style="text-align: start;">4. Processing on your personal data</h3>
                <div style="text-align: start;b">
                    <p style=""><b>4.1</b> Your personal data may be received and processed:</p>
                    <div>
                        <p style=""><b>4.1.1</b> by the Company within our internal systems of processes compliant to technical and organizational measures in a manner that meets applicable requirements of the applicable legislation, GDPR, and security standards; and/or</p>
                        <p style=""><b>4.1.2</b> by outsourcing service providers and processors who access and use the data only to the extent required to perform the obligations subcontracted to them by the Company (the <b>Subprocessors</b>).</p>
                    </div>
                    <p style=""><b>4.2</b> Those Subprocessors perform tasks on our behalf and are contractually obliged not to disclose or use collected information for any other purposes, other than specified in this Policy, and may storage and assistance in the facilitation of technical aspects of our services or performance of functions related to the administration of services (collection and analysis) or other indicated under contractual closes.</p>
                    <p style=""><b>4.3</b> You give your explicit consent that the Company may on its own discretion to engage Subprocessors, who comply with technical and organizational measures in a manner that meet applicable requirements of the applicable legislation and GDPR and security standards implied under this Privacy Policy and also the policies used in the Company.</p>
                    <p style=""><b>4.4</b> If such Subprocessors are outside of the Swiss Confederation or the European Union or European Economic Area, the processing of personal data is done or will be done in accordance with applicable laws and will provide the same or equal protection of user data as stated in the app&rsquo;s privacy policy and required by applicable guidelines of application distribution platforms.</p>
                    <p style=""><b>4.5</b> Subprocessors remain fully liable for their acts and omissions and all obligations subcontracted to them. The Company is not responsible in the event that information is disclosed as a result of a breach or security lapse by any such Subprocessors, or for such Subprocessors` non-compliance with the foregoing requirements.</p>
                </div>
                <h3 style="text-align: start;">5. Incidents notification</h3>
                <div style="text-align: start;b">
                    <p style=""><b>5.1</b> If the Company becomes aware of any breach of our security leading to the accidental or unlawful destruction, loss, alteration or unauthorized disclosure of, or access to (excluding unsuccessful attempts or activities) your personal data on systems managed or otherwise controlled by us we will notify you promptly and without undue delay and in compliance to the procedure prescribed under applicable legislation and GDPR.</p>
                    <p style=""><b>5.2</b> The notification will be made to your email address. It is you sole responsibility to provide us with the email address and ensure that this email address is valid and current.</p>
                    <p style=""><b>5.3</b> None of the data incidents notification from the Company may not be and will not be construed as an acknowledgment of any fault or liability with respect to data incidents by us.</p>
                </div>
                <h3 style="text-align: start;">6. Your security commitments</h3>
                <div style="text-align: start;b">
                    <p style=""><b>6.1</b> You agree that without prejudice to our security measures and data incidents that it is your responsibility to make appropriate use of our Services to ensure a level of security appropriate to the risk in respect of your personal data and securing your system and devices which you use to access the Site.</p>
                    <p style=""><b>6.2</b> We are not obliged to protect your personal data that you choose to store or transfer outside the Company and our Subprocessors&rsquo; systems.</p>
                </div>
                <h3 style="text-align: start;">7. Your rights in respect to personal data</h3>
                <div style="text-align: start;b">
                    <p style=""><b>7.1</b> You have the following rights in relation to your personal data:</p>
                    <div>
                        <p style=""><b>7.1.1 Right to access</b></p>
                        <p style="">You have the right to obtain from us information as to whether your personal data is being processed, and, where that is the case, access such personal data.</p>
                    </div>
                    <div>
                        <p style=""><b>7.1.2 Right to withdraw consent</b></p>
                        <p style="">When we rely on your consent for the processing of your personal data, you have the right to withdraw your consent at any time. However, the withdrawal of your consent will not affect the lawfulness of the Company&rsquo;s processing based on consent acting prior to the withdrawal.</p>
                    </div>
                    <div>
                        <p style=""><b>7.1.3 Right to rectification</b></p>
                        <p style="">You have the right on the accuracy of your personal information. For this purpose, you are obliged to notify us of any changes to the personal data that you have provided to us by sending us a request to rectify your personal data where you believe the personal data we have is inaccurate or incomplete.</p>
                    </div>
                    <div>
                        <p style=""><b>7.1.4 Right to restriction of processing</b></p>
                        <p style="">You have the right to ask us to stop processing your personal data at any time.</p>
                    </div>
                    <div>
                        <p style=""><b>7.1.5 Right to erasure</b></p>
                        <p style="">Asking us to delete all of your personal data will result in the Company deleting your personal data without undue delay (unless there is a legitimate and legal reason why we are unable to delete certain of your personal data, in which case we will inform you of this). Asking us to stop processing your personal data or deleting your personal data will likely mean that you are no longer able to use our Services.</p>
                    </div>
                    <div>
                        <p style=""><b>7.1.6 Right to data portability</b></p>
                        <p style="">You have the right to request that the Company provides you with a copy of all of your personal data and to transmit your personal data to another data controller in a structured, commonly used and machine-readable format, where it is technically feasible for us to do so and the processing is based on consent or contractual performance.</p>
                    </div>
                    <div>
                        <p style=""><b>7.1.7 Right to complain</b></p>
                        <p style="">You have the right to lodge a complaint to our responsible person designated in our internal regulations or to the authorized body, all contacts for the submissions specified here in below.</p>
                    </div>
                    <p style=""><b>7.2</b> We will not ordinarily charge you in respect of any requests we receive to exercise any of your rights detailed above, however, if you make excessive, repetitive or manifestly unfounded requests, we may charge you a reasonable fee taking into account the administrative costs in order to process such requests or we may refuse to act on such requests.</p>
                    <p style=""><b>7.3</b> You may also send a request to receive the information which has been processed, amended, deleted or locked and information about any parties to which we transmit your personal data.</p>
                    <p style=""><b>7.4</b> In some cases, we may charge a fee based on our reasonable costs, if the requests are excessive considering the nature of the request itself or nature and functionality of our services.</p>
                </div>
                <h3 style="text-align: start;">8. Cookie &amp; similar technologies</h3>
                <div style="text-align: start;b">
                    <p style=""><b>8.1</b> Cookie is a small text file placed on your computer when you visit the Site.</p>
                    <p style=""><b>8.2</b> Cookies are widely used in order to make the Site work more efficiently, as well as to provide information about the functionality and your behavior on the Site.</p>
                    <p style=""><b>8.3</b> Cookie helps you better interact with the Site and helps the Site better interact with you.</p>
                    <p style=""><b>8.4</b> Cookies do not contain your personal data.</p>
                    <p style=""><b>8.5</b> We use cookies and tags (collectively the <b>Cookie</b>) to:</p>
                    <div>
                        <p style=""><b>8.5.1</b> understand how you use Site and to provide you with safe, effective and user-friendly Site;</p>
                        <p style=""><b>8.5.2</b> remember your settings, such as preferred language, type of the device, news already shown to you, your preference about Cookie allowance;</p>
                        <p style=""><b>8.5.3</b> keep opened sessions and conversation during your last visit to the Site;</p>
                        <p style=""><b>8.5.4</b> identify the popularity of different section of the Site and improve respectively;</p>
                        <p style=""><b>8.5.5</b> prevent and exclude unauthorized use of the Site;</p>
                        <p style=""><b>8.5.6</b> keep track of actions and operations;</p>
                        <p style=""><b>8.5.7</b> prepare reports, this allows us to measure and analyze the performance of our Services.</p>
                    </div>
                    <p style=""><b>8.6</b> We normally do not associate you with your cookie, however, in exceptional cases, we may use this option to prevent or avoid unauthorized use of the Site and violation of applicable agreements. In this case, we will treat this information as personal and process as described in the Privacy Policy.</p>
                    <p style=""><b>8.7&nbsp;</b>We may use third-party webanalytics services that assist us in better understanding of our Site or the App use, those services comply with the prescribed adequacy of security measures. For example, we use Google Analytics service powered by Google LLC (US). This service helps us to improve the effectiveness of our advertising efforts and understand your preferences and interests. It collects information and reports Site usage statistics without personally identifying you &ndash; we use it for better delivery of our adverts. Please check the details about Google Analytics services here: <a href="https://policies.google.com/technologies/partner-sites" target="_blank" style="color: rgb(0, 148, 255);">https://policies.google.com/technologies/partner-sites</a>. However, in some cases, Google can match information collected through Cookie with your Google account and use it under Google Privacy Policy, details here: <a href="https://policies.google.com/privacy" target="_blank" style="color: rgb(0, 148, 255);">https://policies.google.com/privacy</a>.</p>
                    <p style=""><b>8.8</b> If you do not want to share your Cookie you may restrict it or block it out.</p>
                    <p style=""><b>8.9</b> If you prefer not to allow cookies, please use your browser settings, most browsers give you an ability to manage your cookies or provide you with &ldquo;incognito mode&rdquo; or similar options.</p>
                    <p style=""><b>8.10</b> For more information on how to disable cookies at all or how to amend your cookie settings check <a href="http://www.allaboutcookies.xyz/" target="_blank" style="color: rgb(0, 148, 255);">http://www.allaboutcookies.xyz/</a>.</p>
                    <p style=""><b>8.11</b> We also may use similar technology and collect unique identifiers from our visitors of the Site, the information we collect by this means includes:</p>
                    <div>
                        <p style=""><b>8.11.1</b> unique identification numbers, e.g. Internet protocol (IP) address and device ID;</p>
                        <p style=""><b>8.11.2</b> as applicable to your type of device, browser type and version, and browser plug-in types and versions, application release and version, device model, manufacturer (brand), operating system, operating system version, OS library version, time of last seen, enable WiFi, radio (EDGE, HSDPA, LTE, WCDMA, none), device screen (width, high, dpi), NFC, telecom operator, Bluetooth enable, Bluetooth version;</p>
                        <p style=""><b>8.11.3</b> time zone setting, city, region, country and language;</p>
                        <p style=""><b>8.11.4</b> operating system and platform;</p>
                        <p style=""><b>8.11.5</b> and information about your visit, including the full Uniform Resource Locators (URL) clickstream to, through and from our Site (including date and time); products you viewed or searched for; page response times, download errors, length of visits to certain pages, page interaction information (such as scrolling, clicks, and mouse-overs), and methods used to browse away from the page.</p>
                    </div>
                    <p style=""><b>8.12</b> We use this information for the same purposes as Cookie.</p>
                    <p style=""><b>8.13</b> We use Cookie for the following purposes, namely:</p>
                    <div>
                        <p style=""><b>8.13.1</b> authentication;</p>
                        <p style=""><b>8.13.2</b> security;</p>
                        <p style=""><b>8.13.3</b> storing preferences and supporting additional features and functionalities;</p>
                        <p style=""><b>8.13.4</b> performance, analytics and personalization;</p>
                        <p style=""><b>8.13.5</b> marketing.</p>
                    </div>
                    <p style=""><b>8.14</b> The time a Cookie will stay on your computer or mobile device depends on the type of Cookie whether it is &quot;persistent&quot; or &quot;session&quot; Cookie:</p>
                    <div>
                        <p style=""><b>8.14.1</b> session cookies will only stay on your device until you stop browsing;</p>
                        <p style=""><b>8.14.2</b> persistent cookies stay on your computer or mobile device until they expire or are deleted.</p>
                    </div>
                    <p style=""><b>8.15</b> Some features of the App may require you to access third-party resources via the WebView or a similar built-in instrument for opening websites within the interface of the App. While you may be prompted to login to your account at the Botcx Trade platform and connect it to the App in order to use some features of the App, we do not collect your login credentials and are unable to use your account. The only relevant data that we may collect through automated means is the statistics on the App&rsquo;s performance and automated actions performed by the Apps via your account at the Botcx Trade platform.</p>
                    <p style=""><b>8.16</b> In order to ensure the proper performance of the App and provide you with the better experience, we use the following third-party libraries that collect data:<br>Branch: <a href="https://branch.io/" target="_blank" style="color: rgb(0, 148, 255);">https://branch.io/</a><br>Amplitude: <a href="https://amplitude.com/" target="_blank" style="color: rgb(0, 148, 255);">https://amplitude.com/</a><br>Firebase: <a href="https://firebase.google.com/" target="_blank" style="color: rgb(0, 148, 255);">https://firebase.google.com/</a><br>OneSignal: <a href="https://onesignal.com/" target="_blank" style="color: rgb(0, 148, 255);">https://onesignal.com/</a><br>App Center: <a href="https://appcenter.ms/" target="_blank" style="color: rgb(0, 148, 255);">https://appcenter.ms/</a><br>JHMS Core: <a href="https://developer.huawei.com/consumer/en/hms/" target="_blank" style="color: rgb(0, 148, 255);">https://developer.huawei.com/consumer/en/hms/</a></p>
                </div>
                <h3 style="text-align: start;">9. Changes to this privacy policy</h3>
                <div style="text-align: start;b">
                    <p style=""><b>9.1</b> Please note that we may amend this Privacy Policy from time to time at our sole discretion. Therefore, please check this document from time to time to get updates. If any significant updates in regard to data processing terms are made here, we will notify you additionally within reasonable time via email provided by you for the case or as your contact email.</p>
                    <p style=""><b>9.2</b> If you require any additional information or have any further questions concerning this Privacy Policy, please contact us at <span style="color: rgb(0, 148, 255);">support@botcx.xyz</span>.</p>
                </div>
                
            </div>
        </div>
    </div>
</section>
@endsection