@extends('home.layout.layout')

@section('content')
<section class="single-page bg-custom text-white" style="margin-top:95px!important; padding-top:50px!important;">
    <div class="container">
        <div class="row">
            
            <div class="col-12">
                
                @if(!empty($page))
                    @if ($page == "resetform")
                        <!-- login form -->
                        <div class="row gy-2  mt-3 text-white">
                            <div class="col-12">
                                <center><h4>Reset Password</h4></center>
                            </div>
                            @if(Session::has('reset_success'))
                                <div class="alert alert-success" role="alert">
                                {{Session::get('reset_success')}}
                                </div>
                            @endif 
                            @if(Session::has('reset_error'))
                                <div class="alert alert-danger" role="alert">
                                    {{Session::get('reset_error')}}
                                </div>
                            @endif
                            <form name="form" method="post" action="{{ url('resetpassword/resetform')}}">@csrf
                            <div class="col-12">
                                <label for="email" class="form-label">Email Address</label>
                                <input type="text" class="form-control form-control-lg" required aria-label="username" name="email" value="{{ old('email') }}" placeholder="Email" required="required" autofocus>
                            </div>
                            <div class="col-12 py-3">
                                <input type="submit" class="form-control form-control-lg px-0 btn btn-primary btn-lg" value="Send Reset Link" required aria-label="amount">
                            </div>
                            </form>
                        </div>
                    @endif
                @endif

                @if(!empty($page))
                    @if ($page == "reset")
                        <!-- login form -->
                        <div class="row gy-2  mt-3 text-white">
                            <div class="col-12">
                                <center><h4>Enter New Password</h4></center>
                            </div>
                            @if(Session::has('reset_success'))
                                <div class="alert alert-success" role="alert">
                                {{Session::get('reset_success')}}
                                </div>
                            @endif 
                            @if(Session::has('password_error'))
                                <div class="alert alert-danger" role="alert">
                                    {{Session::get('password_error')}}
                                </div>
                            @endif
                            <form name="form" method="post" action="{{ url('resetpassword/reset')}}?q={{$q}}">@csrf
                            <div class="col-12">
                                <label for="email" class="form-label">Password</label>
                                <input type="password" class="form-control form-control-lg" required aria-label="password" name="password" value="{{ old('email') }}" placeholder="New Password" required="required" autofocus>
                            </div>
                            <div class="col-12">
                                <label for="email" class="form-label">Confirm Password</label>
                                <input type="password" class="form-control form-control-lg" required aria-label="username" name="confirm_password" placeholder="Confirm Password" required="required" autofocus>
                            </div>
                            <div class="col-12 py-3">
                                <input type="submit" class="form-control form-control-lg px-0 btn btn-primary btn-lg" value="Reset Password" required aria-label="amount">
                            </div>
                            </form>
                        </div>
                    @endif
                @endif
                
                @if(!empty($page))
                    @if ($page == "Expired")
                        <!-- login form -->
                        <div class="row gy-2  mt-3 text-white">
                            <div class="col-12">
                                <center><h4 class="text-red">Error</h4></center>
                            </div>
                            <div class="col-12">
                                <center>
                                    <img src="/images/error.png" width="50px" alt="">
                                </center>
                            </div>
                            <div class="col-12">
                                <center>
                                    <h2>Link Expired or Doesn't Exist </h2> </br>
                                    <a href="/resetpassword/resetform">Reset Password Here</a>
                                </center>
                            </div>
                            
                        </div>
                    @endif
                @endif

                @if(!empty($page))
                    @if ($page == "completed")
                        <!-- login form -->
                        <div class="row gy-2  mt-3 text-white">
                            <div class="col-12">
                                <center><h4 class="text-red">Successs</h4></center>
                            </div>
                            <div class="col-12">
                                <center>
                                    <img src="/images/success.png" width="50px" alt="">
                                </center>
                            </div>
                            <div class="col-12">
                                <center>
                                    <h2>Password Reset Completed  </h2> </br>
                                    <a href="/user/login">Login</a>
                                </center>
                            </div>
                            
                        </div>
                    @endif
                @endif
            </div>
        </div>
    </div>
</section>
@endsection