@extends('home.layout.layout')

@section('content')
<section class="single-page bg-custom text-white" style="margin-top:95px!important; padding-top:50px!important;">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <h3 style="text-align:">Terms and conditions</h3>
                <p><strong></strong></p>
                <h3 style="text-align:"><strong>Last updated: May 3, 2023</strong></h3>
                <p></p>
                <div style="text-align: start;">
                    <p>Botcx is a bot that was created for automated trading on the Botcx platform. To use the Site and the Appyou must agree to the below terms, so please read them carefully.</p>
                </div>
                <h3 style="text-align:">1. Introduction</h3>
                <div style="text-align: start;">
                    <p><b>1.1</b> These Terms and Conditions (the <b>Terms</b>) govern the use of certain services, including accessing the website <a href="https://botcx.xyz/" target="_blank" style="color: rgb(0, 148, 255);">botcx.xyz</a> with all its subpages, related subdomains and domains with URL redirection to that website (the <b>Site</b>), using the BotcxRobot application available at Google Play via the <a href="https://play.google.com/store/apps/details?id=com.trade.BotcxRobot" target="_blank" style="color: rgb(0, 148, 255);">link</a> and at AppStore, and/or browser extension available via the <a href="https://chrome.google.com/webstore/detail/epechikapdipcpfihonkhmnknbjmnlmi" target="_blank" style="color: rgb(0, 148, 255);">link</a> (the <b>App</b>) (collectively, the <b>Services</b>), provided by BotcxRobot (the <b>Company</b> or we) to any individual who uses the Services (you).</p>
                    <p><b>1.2</b> If you have any questions regarding these Terms or about the Company, please contact us by email at <span style="color: rgb(0, 148, 255);">support@botcx.xyz</span>.</p>
                </div>
                <h3 style="text-align:">2. Acceptance</h3>
                <div style="text-align: start;">
                    <p><b>2.1</b> By using or accessing the Services, you agree to these Terms. If you do not agree, do not use the Services. In addition, when using the Services, you shall be subject to any posted guidelines or rules applicable to the Services that may contain terms and conditions in addition to those in these Terms.</p>
                    <p><b>2.2</b> The Company grants you a non-exclusive, non-transferable and limited personal license to access and use the Site and the App. This license is conditional upon your full compliance with the Terms.</p>
                </div>
                <h3 style="text-align:">3. Privacy</h3>
                <div style="text-align: start;">
                    <p><b>3.1</b> Please refer to our <a target="_blank" href="https://botcx.xyz/terms/privacy-policy" style="color: rgb(0, 148, 255);">Privacy Policy</a>, that is an integral part of these Terms, for information on how we collect, use, and disclose personal data. You acknowledge and agree that your use of the Services is subject to our Privacy Policy.</p>
                </div>
                <h3 style="text-align:">4. Changes to the terms</h3>
                <div style="text-align: start;">
                    <p><b>4.1</b> We may without prior notice modify, change or discontinue all or any part of these Terms at any time and in our sole discretion. Any edition of the Terms made publicly available on the Site is actual and final. We will notify you only on the sufficient changes.</p>
                    <p><b>4.2</b> It is your responsibility to check the Terms from time to time during your use of the Services. If you do not accept the modified version of the Terms, you shall immediately cease using the Services.</p>
                    <p><b>4.3</b> We may terminate these Terms and your access to all or any part of the Services at any time and for any reason without prior notice or any liability for us.</p>
                </div>
                <h3 style="text-align:">5. General provisions</h3>
                <div style="text-align: start;">
                    <p><b>5.1</b> To be eligible to use the Services, you must be at least 18 years old (or older pursuant to legal requirements in your jurisdiction) and shall not be a citizen of the United States of America, reside/have a domicile in the United States of America, or in any other way be subject to the jurisdiction of the United States of America.</p>
                    <p><b>5.2</b> We reserve the right to suspend of prohibit your use of the Services at any time if we have reasons to believe that you have, may, or intended to violate the Terms.</p>
                    <p><b>5.3</b> We reserve the right at any time to modify, suspend or discontinue any part of the Services with or without notice. You agree that we shall not be liable to you or to any third party for any such modification, suspension or discontinuance. We also reserve the right at any time in our sole discretion to block users from certain Ipaddresses.</p>
                    <p><b>5.4</b> While we welcome any feedback or comments from you, please note that any unsolicited ideas, feedback or suggestions pertaining to our business, such as proposals for new or improved products or technologies, website or tool enhancements, processes, materials, marketing plans or new product names you transfer irrevocably, royalty-free, worldwide and exclusively all the proprietary rights for listed items to the Company upon submission. You waive moral rights for the listed items and your right for any compensation and the rights to forbid, allow, restrict or otherwise by any method influence or obstruct the Company to use or enjoy its rights in the listed above items.</p>
                    <p><b>5.5</b> The Services may contain links to third party services that are not owned or controlled by the Company. The Company has no control over and assumes no responsibility for the content, privacy policies, or practices of any third-party services. In addition, the Company will not and cannot censor or edit the content of any third-party service. You gain access to and use the services, products or third-party sites at your own discretion and risk, and you will be solely responsible for any damage to your computer system or mobile device for loss of data resulting therefrom. You expressly release the Company from any and all liability, claims and damages both known and unknown arising from your use of any third-party service, even if foreseeable.</p>
                </div>
                <h3 style="text-align:">6. Services</h3>
                <div style="text-align: start;">
                    <p><b>6.1</b> This Section describes the Services provided by the Company and sets forth specific rules, if any, which shall prevail in the event of any conflicts with other provisions of these Terms.</p>
                    <p><b>6.2</b> We are not obligated to maintain or support any of the Services, to provide all or any specific content of the Services, or to provide you with updates, upgrades or services related thereto. You acknowledge that we may from time to time in our sole discretion make updates or upgrades to any of the Services, disable access for any period of time or permanently, and automatically update or upgrade the version of any of the Services that you are using. You consent to such automatic updating or upgrading and agree that these Terms will apply to all such updates or upgrades, unless such upgrade is accompanied by a separate license, in which case the terms of that license will govern.</p>
                    <p><b>6.3</b> The Services and all content, functions, and materials made available to you are provided &ldquo;as is&rdquo; or &ldquo;as available,&rdquo; without warranty of any kind, either express or implied, including, without limitation, any warranties of title, non-infringement, merchantability or fitness for a particular purpose.</p>
                    <p><b>6.4</b> Neither the Company nor its current or future affiliates, subsidiaries, nor its or their officers, directors, employees or agents (collectively, the <b>Affiliated Parties</b>) warrant that any of the foregoing will be timely, secure, uninterrupted or error-free, or that defects will be corrected. None of the Affiliated Parties shall be liable for any damage to, or viruses that may infect your computer equipment or other property on account of your access to or use of any of the foregoing.</p>
                    <p><b>6.5</b> The Site allows you to access the information service. The data obtained by you from the use of our Services is of exclusively informatory nature.</p>
                    <p><b>6.6</b> The Appallows you to set upthe automated trading via your account at Botcx platform as described in our <a target="_blank" href="https://botcx.xyz/service" style="color: rgb(0, 148, 255);">Service Agreement</a>.</p>
                    <p><b>6.7</b> All information provided to you through Services is the sole property of the Company and is provided to you for your sole individual use. No part of such information may be reproduced, distributed, transmitted, or otherwise made available without our prior consent. Any unauthorized disclosure is strictly prohibited. The Company reserves its right to claim damages from you, including any loss of profits, for your unauthorized use of such information.</p>
                    <p><b>6.8</b> By accessing and using the Services, you hereby agree that:</p>
                    <div>
                        <p><b>6.8.1</b> you will not use the Services for any unlawful purpose;</p>
                        <p><b>6.8.2</b> you will not upload, post, email, transmit, or otherwise make available any content that:</p>
                        <div>
                            <p><b>6.8.2.1</b> infringes any copyright, trademark, right of publicity, or other proprietary rights of any person or entity;</p>
                            <p><b>6.8.2.2</b> is threatening, tortious, defamatory, libelous, indecent, obscene, pornographic, sexually explicit, invasive of another&rsquo;s privacy, or promotes extreme violence or cruelty to animals, or contains hate speech (i.e., speech that attacks or demeans a groupbased on race or ethnic origin, religion, disability, gender, age, veteran status, or sexual orientation/gender identity);</p>
                            <p><b>6.8.2.3</b> discloses any sensitive information about another person, including that person&rsquo;s email address, postal address, phone number, credit card information, or any similar information.</p>
                        </div>
                        <p><b>6.8.3</b> you will not &ldquo;stalk&rdquo; or otherwise harass another person;</p>
                        <p><b>6.8.4</b> you will not spam or use the Services to engage in any commercial activities;</p>
                        <p><b>6.8.5</b> you will not access or use the Services to collect any market research for a competing business;</p>
                        <p><b>6.8.6</b> you will not impersonate any person or entity;</p>
                        <p><b>6.8.7</b> you will not interfere with or attempt to interrupt the proper operation of the Services through the use of any virus, device, information collection or transmission mechanism, software or routine, or access or attempt to gain access to any data, files, or passwords related to the Services through hacking, password or data mining, or any other means;</p>
                        <p><b>6.8.8</b> you will not use any robot or other automated means to access the Services for any purpose without our express written permission; provided, however, we grant the operators of public search engines permission to use spiders to copy materials from the public portions of the Services for the sole purpose of and solely to the extent necessary for creating publicly-available searchable indices of the materials, but not caches or archives of such materials;</p>
                        <p><b>6.8.9</b> you will not take any action that imposes or may impose (as determined in our sole discretion) an unreasonable or disproportionately large load on our technical infrastructure.</p>
                    </div>
                    <p><b>6.9</b> We respect the intellectual property rights of others. We will respond expeditiously to claims of copyright infringement. If you see any material within our Services that in your good faith belief may infringe someone&rsquo;s copyright, you may notify us by emailing us at <span style="color: rgb(0, 148, 255);">support@botcx.xyz</span> with &ldquo;Copyright&rdquo; in the subject line.</p>
                    
                </div>
                <h3 style="text-align:">7. Indemnification</h3>
                <div style="text-align: start;">
                    <p><b>7.1</b> To the fullest extent permitted by applicable law, you agree to indemnify, defend and hold harmless the Company, our respective past, present and future employees, officers, directors, contractors, consultants, equity holders, suppliers, vendors, service providers, parent companies, subsidiaries, affiliates, agents, representatives, predecessors, successors and assigns (individually and collectively, the <b>Indemnified Parties</b>), from and against all actual or alleged third-party claims, damages, awards, judgments, losses, liabilities, obligations, penalties, interest, fees, expenses (including, without limitation, attorneys&rsquo; fees and expenses) and costs (including, without limitation, court costs, costs of settlement and costs of pursuing indemnification and insurance), of every kind and nature whatsoever, whether known or unknown, foreseen or unforeseen, matured or unmatured, or suspected or unsuspected, in law or equity, whether in tort, contract or otherwise (collectively, &ldquo;Claims&rdquo;), including, but not limited to, damages to property or personal injury, that are caused by, arise out of or are related to:</p>
                    <div>
                        <p><b>7.1.1</b> your use or misuse of the Services,</p>
                        <p><b>7.1.2</b> your violation of these Terms, and</p>
                        <p><b>7.1.3</b> your violation of the rights of a third party, including another user.</p>
                    </div>
                    <p><b>7.2</b> You agree to promptly notify the Company of any third-party Claims and cooperate with the Indemnified Parties in defending such Claims. You further agree that the Indemnified Parties shall have control of the defense or settlement of any third-party Claims. This indemnity is in addition to, and not in lieu of, any other indemnities set forth in a written agreement between you and the Company.</p>
                </div>
                <h3 style="text-align:">8. Governing law and dispute resolution</h3>
                <div style="text-align: start;">
                    <p><b>8.1</b> These Terms, their interpretation, performance or any breach thereof, shall be construed in accordance with, and all questions with respect thereto shall be determined by the laws of England and Wales without regard to its conflict-of-laws principles.</p>
                    <p><b>8.2</b> All disputes arising from the Terms or in connection with them shall be resolved by the Parties in the mandatory amicable negotiation procedure. The Party that received the claim must return an answer to it to the other Party within (30) thirty business days of the receipt.</p>
                    <p><b>8.3</b> If the dispute or claim cannot be resolved in a negotiation procedure, the exclusive means of resolving any dispute or claim arising out of or relating to these Terms and the Services (including any alleged breach thereof) shall be binding arbitration administered in accordance with the Arbitration Rules of the Arbitration Institute of the Stockholm Chamber of Commerce. The seat of the arbitration shall be London, United Kingdom. The arbitrator shall be one, the language of proceedings shall be English. You may not under any circumstances commence or maintain against the Company any class action, class arbitration, or other representative action or proceeding. The governing law shall be the law established in clause 8.1.</p>
                    <p><b>8.4</b> By accessing or using the Services in any manner, you agree to the above arbitration agreement. In doing so, you give upyour right to go to court to assert or defend any claims between you and the Company. You also give upyour right to participate in a class action or other class proceeding. Your rights will be determined by a neutral arbitrator, not a judge or jury.</p>
                    <p><b>8.5</b> In the event that this arbitration agreement is for any reason held to be unenforceable, any litigation against the Company may be commenced only in the courts located in England. You hereby irrevocably consent to the jurisdiction of those courts for such purposes.</p>
                </div>
                <h3 style="text-align:">9. Miscellaneous</h3>
                <div style="text-align: start;">
                    <p><b>9.1</b> Nothing in these Terms shall be construed to create a partnership, fiduciary, joint venture or agency relationshipbetween you and us.</p>
                    <p><b>9.2</b> You may not assign any of your rights or delegate any of your obligations under these Terms without our prior written consent. We may assign or delegate any rights or obligations contained in this Terms, at any portion and at our sole discretion. Any purported assignment which is inconsistent with the foregoing shall be null and void.</p>
                    <p><b>9.3</b> No waiver of any breach of any provision of these Terms shall constitute a waiver of any prior, concurrent or subsequent breach of the same or any other provisions, and no waiver shall be effective unless made in writing and signed by an authorized representative of the waiving Party.</p>
                    <p><b>9.4</b> In the event any provision of these Terms shall for any reason be held to be invalid, illegal or unenforceable in any respect, the remaining provisions shall remain in full force and effect. In case of discrepancy between the English version of the Terms and other language versions of the Terms, the English version shall prevail. Translations of the Terms in other languages are not binding on the Company.</p>
                    <p><b>9.5</b> Notwithstanding anything to the contrary contained herein, in no event shall the maximum aggregate liability of the Company arising out of or in any way related to these Terms, the access to and use of the Services, content, or any products or services purchased from us exceed $100.</p>
                    <p><b>9.6</b> The information contained herein is not intended for distribution to, or use by, any person or entity in any jurisdiction or country where such distribution or use would be contrary to law or regulation. The Services are not intended for use by any person in any jurisdiction where the publication or availability of such services is prohibited, by reason of that person&rsquo;s nationality, residence or otherwise. Persons under these restrictions must not use our Services. The Company cannot be held liable for any distribution of information regarding our Services by third parties in prohibited jurisdictions.</p>
                    <p><b>9.7</b> You agree and understand that no information and/or data analytics obtained by virtue of your use of the Services is intended to constitute trading, financial, or investment advice.</p>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection